cURL
curl --request GET \
--url https://my.cald.ai/client/api/v1/campaigns/{campaignId}/details \
--header 'Authorization: <api-key>'import requests
url = "https://my.cald.ai/client/api/v1/campaigns/{campaignId}/details"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://my.cald.ai/client/api/v1/campaigns/{campaignId}/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"campaignId": "<string>",
"name": "<string>",
"listId": "<string>",
"agentId": "<string>",
"status": "<string>",
"stats": {
"totalCalls": 123,
"completedCalls": 123,
"failedCalls": 123,
"pendingCalls": 123,
"pickedUpCalls": 123,
"ivrCalls": 123,
"voicemailCalls": 123,
"unansweredCalls": 123,
"disconnectedCalls": 123
},
"calls": [
{
"callId": "<string>",
"direction": "<string>",
"from": "<string>",
"to": "<string>",
"completed": true,
"result": "<string>",
"createdAt": "<string>",
"completedAt": "<string>",
"transcripts": [
{
"role": "<string>",
"content": "<string>"
}
],
"callLength": 123,
"recordingUrl": "<string>"
}
]
}Campaigns
Get Campaign Results
Get detailed information and results for a specific campaign
GET
/
campaigns
/
{campaignId}
/
details
cURL
Authorizations
Your API key, e.g. caldLiveDe39a3accb206dd615f30d118e519df0
Path Parameters
The campaign ID of the campaign
Response
Campaign information
The campaign ID of the campaign
The name given to the campaign in the MyCald Dashboard
The list ID of the list used for the campaign
The agent ID of the agent used for the campaign
The status of the campaign, can be pending, active, not_funded, finished, cancelled
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I